import platform

# The default message added to IceTea-generated fields. Acts as both a warning to the user and a canary value to prevent (some) tampering.
AUTOGEN_PREFIX = "AUTOGENERATED, DO NOT EDIT!\n" # Must be kept identical with COMMENT_PREFIX in the other script

# Metadata used for fields with none specified. Assumed to be added by the user in Excel
DEFAULT_METADATA = {"type": "VARCHAR(255)", "not_null": False, "pk": 0} # Used for fields with no comment, assumed to be added by the user in Excel

def get_default_xlsx_path():
  if platform.system() == "Windows":
    return ".\\generated.xlsx" # Windows uses backslashes for file paths
  else:
    return "./generated.xlsx"
  
def get_default_sql_path():
  if platform.system() == "Windows":
    return ".\\datasets\\sample.sql" # Windows uses backslashes for file paths
  else:
    return "./datasets/sample.sql"